1. Notes & tags
CVViZ API Documentation
  • Start here
    • Quickstart
    • Authentication & permissions
  • Guides
    • API concepts
    • Create a job
    • Find candidates and download resumes
    • Pagination & filtering
    • Rate limits & usage
    • Errors & troubleshooting
    • Safe retries & idempotency
  • Jobs
    • Create a job
      POST
    • List jobs
      GET
    • Get a job
      GET
    • Update a job
      PATCH
    • List candidates for a job
      GET
    • List job benchmark resumes
      GET
    • List candidate job offers
      GET
    • Update a candidate application stage
      PATCH
    • Update job status
      PATCH
  • Candidates
    • List candidates
    • Get a candidate
    • Update a candidate
    • List applications for a candidate
    • List candidate events
    • List candidate documents
    • Download a candidate resume
  • Tasks
    • List tasks
    • Create a task
    • Update a task
    • Update task completion
  • Notes & tags
    • List job notes
      GET
    • Add a job note
      POST
    • List tags for a job
      GET
    • Add tags to a job
      POST
    • List tags for a candidate
      GET
    • Add tags to a candidate
      POST
    • List candidate notes
      GET
    • Add a candidate note
      POST
    • List candidate tags
      GET
  • Screening & interviews
    • List job pre-screening questions
    • List candidate screening answers
    • List candidate interview feedback
  • Organization & lookup data
    • List candidate stages for a job
    • Get job creation options
    • List industries
    • List job functions
    • List employer types
    • List client companies
    • List account users
    • List departments
    • List hiring managers
    • List candidate grades
  1. Notes & tags

Add tags to a candidate

POST
/candidates/{candidateId}/tags
Adds one or more tags without duplicating tags already attached to the candidate.

Permissions#

candidates.write

Safe retries#

Send an Idempotency-Key. Retry the same request with the same key to avoid repeating the write. See Safe retries & idempotency.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Mutation applied or safely replayed.
Headers

Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
🟠409
🟠429
🔴503
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.cvviz.com/v1/candidates//tags' \
--header 'Idempotency-Key: cvviz-integration-operation-001' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "tags": [
        "Backend",
        "Priority"
    ]
}'
Response Response Example
200 - Example 1
{
    "data": {
        "candidateId": 501,
        "tagIds": [
            88,
            89
        ],
        "updated": true
    }
}
Previous
List tags for a candidate
Next
List candidate notes
Built with